### Method

# Fwupd Release get_protocol

since: 1.2.2

#### Declaration [src]

    const gchar*
    fwupd_release_get_protocol (
      FwupdRelease* self
    )

#### Description [src]

Gets the update protocol.

Available since: 1.2.2

#### Return value

Type: `const gchar*`

The update protocol, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.